Subject: Re: bug#37609: Tool-bar-mode grows the frame's height

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Oct 2019 22:04:55 +0300

> From: martin rudalics <[email-masked]>
> Date: Sat, 5 Oct 2019 20:11:06 +0200
> 
> We probably could suppress such untimely growing by tricking the code
> into believing that the tool bar has already been drawn at least once
> even if it was not drawn at all.  But I'm not sure whether such a
> change could break runs where showing the tool bar might be delayed
> for some reason.  Getting the 'frame-inhibit-implied-resize' stuff
> perform sufficiently well was quite tricky.  So is the behavior we see
> here annoying enough to warrant such a change?

As long as the behavior is consistent on all platforms, as much as
practically possible, I'm okay with this behavior.  But I'm not sure
what was the conclusion regarding Juri's GTK configuration where there
was a different behavior regarding the tab bar.  Was that resolved?